Skip to main content
PUT
/
{env_id}
/
{flow_id}
/
{tenant}
/
connectors
/
{connector_id}
/
selectedFilters
Save Connector Selected Filters
curl --request PUT \
  --url https://api.hotglue.com/{env_id}/{flow_id}/{tenant}/connectors/{connector_id}/selectedFilters \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "filters_version": "1.0.0",
  "streams": {
    "bills": {
      "group_14": {
        "clause_1_1": {
          "field": "transaction.entity",
          "operator": "IN",
          "value": [
            "26006",
            "26032"
          ]
        },
        "operator_1_1": "OR",
        "clause_1_2": {
          "field": "Entity.altname",
          "operator": "IN",
          "value": [
            "Siegwerk EIC LLC",
            "ProAmpac"
          ]
        }
      },
      "operator_1": "AND",
      "clause_2": {
        "field": "BUILTIN.DF(transaction.status)",
        "operator": "EQ",
        "value": "Bill : Paid In Full"
      }
    }
  }
}
'
{
  "status": "OK"
}

Authorizations

x-api-key
string
header
required

Path Parameters

env_id
string
required

ID of environment

flow_id
string
required

ID of flow

tenant
string
required

ID of tenant

connector_id
string
required

ID of connector

Example:

"salesforce"

Body

application/json
filters_version
string
required

The version of the filters configuration

Example:

"1.0.0"

streams
object
required

The streams and their filters

Response

200

status
string
Example:

"OK"